Bug 15066 - Transfer rotating collection fails on plack
Summary: Transfer rotating collection fails on plack
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 15019
  Show dependency treegraph
 
Reported: 2015-10-27 09:08 UTC by Josef Moravec
Modified: 2017-06-14 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15066: Make transfer rotating collection works under Plack (2.32 KB, patch)
2015-10-27 09:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15066: Make transfer rotating collection works under Plack (2.37 KB, patch)
2015-10-27 10:49 UTC, Josef Moravec
Details | Diff | Splinter Review
[PASSED QA] Bug 15066: Make transfer rotating collection works under Plack (2.45 KB, patch)
2015-11-05 12:32 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2015-10-27 09:08:30 UTC
When I tried to transfer rotating collection, I saw "Internal server error", collection was marked with new location, but items in that collection weren't marked with new location.
Comment 1 Jonathan Druart 2015-10-27 09:26:03 UTC Comment hidden (obsolete)
Comment 2 Josef Moravec 2015-10-27 10:49:02 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-11-05 12:32:03 UTC
Created attachment 44501 [details] [review]
[PASSED QA] Bug 15066: Make transfer rotating collection works under Plack

This patch the 2 following errors:
Undefined subroutine &C4::RotatingCollections::transferbook called at
C4/RotatingCollections.pm line 451.
Undefined subroutine &C4::RotatingCollections::GetTransfers called at
C4/RotatingCollections.pm line 450.

And this warning:
"my" variable $colId masks earlier declaration in same scope at
/home/koha/src/rotating_collections/transferCollection.pl line 75.

Test plan:
Create a rotating collection
Transfer it to another branch
It should work with this patch

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-11-05 12:54:32 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Frédéric Demians 2015-11-29 20:18:40 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.